routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Install routes
Route::get('/install/install', [App\Http\Controllers\Install\InstallController::class, 'index'])->name('install/install');
Route::get('/install/step1', [App\Http\Controllers\Install\InstallController::class, 'step1'])->name('install/step1');
Route::post('/install/step1/set_database', [App\Http\Controllers\Install\InstallController::class, 'set_database'])->name('install/step1/set_database');
Route::get('/install/step2', [App\Http\Controllers\Install\InstallController::class, 'step2'])->name('install/step2');
Route::post('/install/step2/import_database', [App\Http\Controllers\Install\InstallController::class, 'import_database'])->name('install/step2/import_database');
Route::get('/install/step3', [App\Http\Controllers\Install\InstallController::class, 'step3'])->name('install/step3');
Route::post('/install/step3/set_siteinfo', [App\Http\Controllers\Install\InstallController::class, 'set_siteinfo'])->name('install/step3/set_siteinfo');
Route::get('/install/step4', [App\Http\Controllers\Install\InstallController::class, 'step4'])->name('install/step4');
Route::post('/install/step4/set_admininfo', [App\Http\Controllers\Install\InstallController::class, 'set_admininfo'])->name('install/step4/set_admininfo');

// First check if website is installed
Route::group(['middleware' => 'check.installation'], function () {    
    // Authentication Routes Login & Register & Reset & Verify email
    Route::get('/', [App\Http\Controllers\Auth\LoginController::class, 'showLoginForm']);
    Route::get('/login', [App\Http\Controllers\Auth\LoginController::class, 'showLoginForm']);
    Route::post('/login', [App\Http\Controllers\Auth\LoginController::class, 'login'])->name('login');
    Route::post('logout', [App\Http\Controllers\Auth\LoginController::class, 'logout'])->name('logout');
    Route::get('register', [App\Http\Controllers\Auth\RegisterController::class, 'showRegistrationForm'])->name('register');
    Route::post('register', [App\Http\Controllers\Auth\RegisterController::class, 'register']);
    Route::get('password/reset', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'showLinkRequestForm'])->name('password.request');
    Route::post('password/email', [App\Http\Controllers\Auth\ForgotPasswordController::class, 'sendResetLinkEmail'])->name('password.email');
    Route::get('password/reset/{token}', [App\Http\Controllers\Auth\ResetPasswordController::class, 'showResetForm'])->name('password.reset');
    Route::post('password/reset', [App\Http\Controllers\Auth\ResetPasswordController::class, 'reset'])->name('password.update');
    Route::get('password/confirm', [App\Http\Controllers\Auth\ConfirmPasswordController::class, 'showConfirmForm'])->name('password.confirm');
    Route::post('password/confirm', [App\Http\Controllers\Auth\ConfirmPasswordController::class, 'confirm']);
    Route::get('email/verify', [App\Http\Controllers\Auth\VerificationController::class, 'show'])->name('verification.notice');
    Route::get('email/verify/{id}/{hash}', [App\Http\Controllers\Auth\VerificationController::class, 'verify'])->name('verification.verify');
    Route::post('email/resend', [App\Http\Controllers\Auth\VerificationController::class, 'resend'])->name('verification.resend');

    // Privacy and terms pages 
    Route::get('/privacy', [App\Http\Controllers\Pages\PagesController::class, 'privacy']);
    Route::get('/terms', [App\Http\Controllers\Pages\PagesController::class, 'terms']);
    
    //** / Enable email verfication
    //*** Auth::routes(['verify' => true]);

    Route::group(['middleware' => 'CheckForDetailsExists'], function () {   
        // Social logins routes
        Route::get('third-party/{provider}', [App\Http\Controllers\Auth\SocialController::class, 'redirectToProvider'])->name('third-party.action');
        Route::get('third-party/{provider}/callback', [App\Http\Controllers\Auth\SocialController::class, 'handleProviderCallback']);
        // Social login setpassword 
        Route::get('/addition/password', [App\Http\Controllers\Addition\AddPasswordController::class, 'index'])->name('addition.password');
        Route::post('/addition/password', [App\Http\Controllers\Addition\AddPasswordController::class, 'update'])->name('addition.password');
        // Social login setemail if there is no email
        Route::get('/addition/email', [App\Http\Controllers\Addition\AddEmailController::class, 'index'])->name('addition.email');
        Route::post('/addition/email', [App\Http\Controllers\Addition\AddEmailController::class, 'update'])->name('addition.email');
    
    });
    // Middleware for check if there is auth email and password 
    Route::group(['middleware' => 'CheckFordetails'], function () {
        // User dashboard route
        Route::get('dashboard', [App\Http\Controllers\Pages\DashboardController::class, 'index'])->name('dashboard');

        // User edit profile 
        Route::get('edit-profile', [App\Http\Controllers\Pages\ProfileController::class, 'index'])->name('edit-profile');
        Route::post('edit-profile', [App\Http\Controllers\Pages\ProfileController::class, 'update'])->name('edit-profile');
        // User update password
        Route::post('edit-profile/update/password', [App\Http\Controllers\Pages\ProfileController::class, 'UpdatePassword'])->name('edit-profile/update/password');

        // User open Tciket routes    
        Route::get('open-ticket', [App\Http\Controllers\Pages\OpenticketController::class, 'index'])->name('open-ticket');
        Route::post('open-ticket', [App\Http\Controllers\Pages\OpenticketController::class, 'InsertTicket'])->name('open-ticket');

        // User show all tickets route
        Route::get('tickets', [App\Http\Controllers\Pages\TicketsController::class, 'TicketsData'])->name('tickets');
        Route::get('tickets/search', [App\Http\Controllers\Pages\TicketsController::class, 'search'])->name('search.tickets');

        // User view ticket & update status & add replies
        Route::get('ticket', [App\Http\Controllers\Pages\TicketsController::class, 'backTotickets'])->name('ticket');
        Route::get('ticket/{id}', [App\Http\Controllers\Pages\ViewticketController::class, 'ViewTicketData'])->name('ticket');
        Route::post('ticket/update', [App\Http\Controllers\Pages\ViewticketController::class, 'UpdateTicketData'])->name('ticket/update');
        Route::post('ticket/store', [App\Http\Controllers\Pages\RepliesController::class, 'addRepleyData'])->name('ticket/store');

        // User notifications route
        Route::get('notifications', [App\Http\Controllers\Pages\NotificationsController::class, 'index'])->name('notifications');

        // Admin routes 
        Route::group(['middleware' => 'admin'], function () {
            // Admin dashboard
            Route::get('admin/dashboard', [App\Http\Controllers\Admin\AdminDashboardController::class, 'index']);
            Route::get('admin', [App\Http\Controllers\Admin\AdminDashboardController::class, 'RedirectToDashboard']);
            // Admin Mange products adit & update & delete
            Route::get('admin/products', [App\Http\Controllers\Admin\ProductsController::class, 'index']);
            Route::post('admin/products/store', [App\Http\Controllers\Admin\ProductsController::class, 'AddProducts'])->name('admin/products/store');
            Route::get('admin/products/delete/{id}', [App\Http\Controllers\Admin\ProductsController::class, 'DeleteProduct']);
            Route::get('admin/products/edit/{id}', [App\Http\Controllers\Admin\ProductsController::class, 'EditProduct']);
            Route::post('admin/products/edit', [App\Http\Controllers\Admin\ProductsController::class, 'UpdateProduct'])->name('admin/products/edit');
            // Admin webiste Settings
            Route::get('admin/settings', [App\Http\Controllers\Admin\SettingsController::class, 'index']);
            Route::post('admin/settings/update', [App\Http\Controllers\Admin\SettingsController::class, 'UpdateData'])->name('admin/settings/update');
            // Admin manage tickets View & add reply & close ticket
            Route::get('admin/tickets', [App\Http\Controllers\Admin\TicketsController::class, 'index']);
            Route::get('admin/tickets/delete/{id}', [App\Http\Controllers\Admin\TicketsController::class, 'DeleteTicket']);
            Route::get('admin/ticket', [App\Http\Controllers\Admin\TicketController::class, 'BackToTickets']);
            Route::get('admin/ticket/{id}', [App\Http\Controllers\Admin\TicketController::class, 'index']);
            Route::post('admin/ticket/update', [App\Http\Controllers\Admin\TicketController::class, 'update'])->name('admin/ticket/update');
            Route::post('admin/ticket/store', [App\Http\Controllers\Admin\RepliesController::class, 'store'])->name('admin/ticket/store');
            // Admin manage users & update permission
            Route::get('admin/users', [App\Http\Controllers\Admin\UsersController::class, 'index']);
            Route::get('admin/users/update/{id}', [App\Http\Controllers\Admin\UsersController::class, 'UserData']);
            Route::post('admin/users/update/store', [App\Http\Controllers\Admin\UsersController::class, 'update'])->name('admin/users/update/store');
            // Admin manage pages 
            Route::get('admin/pages', [App\Http\Controllers\Admin\PagesController::class, 'index']);
            Route::post('admin/pages', [App\Http\Controllers\Admin\PagesController::class, 'update'])->name('admin.pages.update');

app/Http/Controllers/Pages/TicketsController.php
<?php
namespace App\Http\Controllers\Pages;

use App\Http\Controllers\Controller;
use App\Models\Ticket;
use Auth;
use DB;
use Illuminate\Http\Request;

class TicketsController extends Controller
{

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function TicketsData()
    {

        $userId = Auth::user()->id;

        $all_tickets_count = DB::table('tickets')
            ->where([['user_id', '=', $userId]])
            ->get();

        $answered_tickets_count = DB::table('tickets')
            ->where([['user_id', '=', $userId], ['status', '=', 2]])
            ->get();

        $open_tickets_count = DB::table('tickets')
            ->where([['user_id', '=', $userId], ['status', '=', 1]])
            ->get();

        $closed_tickets_count = DB::table('tickets')
            ->where([['user_id', '=', $userId], ['status', '=', 3]])
            ->get();

        $all_tickets = Ticket::withCount('replies')
            ->orderByDesc('id')
            ->where('user_id', $userId)
            ->paginate(10, ['*'], 'all');

        $open_tickets = Ticket::withCount('replies')
            ->orderByDesc('id')
            ->where([['user_id', '=', $userId], ['status', '=', 1]])
            ->paginate(10, ['*'], 'opened');

        $answered_tickets = Ticket::withCount('replies')
            ->orderByDesc('id')
            ->where([['user_id', '=', $userId], ['status', '=', 2]])
            ->paginate(10, ['*'], 'answered');

        $closed_tickets = Ticket::withCount('replies')
            ->orderByDesc('id')
            ->where([['user_id', '=', $userId], ['status', '=', 3]])
            ->paginate(10, ['*'], 'closed');

        return view('pages.tickets',
            ['open_tickets' => $open_tickets, 'answered_tickets' => $answered_tickets,
                'closed_tickets' => $closed_tickets, 'all_tickets' => $all_tickets,
                'all_tickets_count' => $all_tickets_count, 'answered_tickets_count' => $answered_tickets_count,
                'open_tickets_count' => $open_tickets_count, 'closed_tickets_count' => $closed_tickets_count]);
    }

    public function backTotickets()
    {
        return redirect()->back();
    }

    public function search(Request $request)
    {
        $userId = Auth::user()->id;
        $q = $request->input('q');
        if ($q) {
            $all_tickets = Ticket::where([['user_id', '=', $userId], ['subject', 'LIKE', '%' . $q . '%']])
                ->orWhere([['user_id', '=', $userId], ['id', 'like', '%' . $q . '%']])
                ->orWhere([['user_id', '=', $userId], ['product', 'like', '%' . $q . '%']])
                ->withCount('replies')
                ->orderbyDesc('id')
                ->get();
            return view('pages.search', ['all_tickets' => $all_tickets]);
        } else {
            return redirect('/tickets');
        }

    }
}

resources/views/pages/notifications.blade.php
@extends('layouts.default')
@section('title', 'Notifications')
@section('content')
<div class="page__title">
  <h1>{{ __('Notifications ('.$notice->count()).')' }}</h1>
</div>
<div class="fowtickets__main__content mb-5">
  <div class="container">
    <div class="row">
      <div class="col-lg-6 m-auto">
        @if($notice->count() > 0)
        @foreach($notice as $note)
        <div class="user_notice" onclick="window.location.href='{{url('ticket')}}/{{$note->id}}'">
          <div class="row">
            <div class="col-lg-2 text-center  d-none d-lg-block">
              <img src="{{ asset('images/bell.svg') }}" alt="Notifications">
            </div>
            <div class="col-lg-10">
              <span class="notice-text text-muted">{{__('New reply on your tiket')}}</span>
              <h5>{{$note->subject}}</h5>
            </div>
          </div>
        </div>
        @endforeach
        @else 
        <div class="text-center pt-3 pb-3 bg-white">
            <span class="text-muted">{{ __('You dont have Notifications')}}</span>
        </div>
        @endif
      </div>
    </div>
  </div>
</div>
@stop

resources/views/pages/privacy.blade.php
@extends('layouts.auth')
@section('title', 'Privacy policy')
@section('content')
<div class="card">
    <div class="card-body">
        <h4 class="card-title m-0">{{__('Privacy policy')}} 
        <span class="float-right"><a href="{{url('/')}}" class="btn btn-outline-primary btn-sm">
            <i class="fa fa-home"></i> {{__('Back to home')}}</a></span></h4>
        <hr/>
        {!! $privacy->privacy !!}
        
    </div>
</div>
@endsection

resources/views/pages/search.blade.php
@extends('layouts.default')
@section('title', 'Search for '.app('request')->input('q'))
@section('content')
<div class="page__title">
   <h1>{{ __('Search results for "'.app('request')->input('q').'"') }}</h1>
</div>
<div class="fowtickets__main__content mb-5">
   <div class="container">
    <h4>{{__($all_tickets->count().' Results found')}}</h4>
    <hr/>
    <form action="{{ route('search.tickets') }}" method="GET">
        <div class="input-group mb-3">
          <input type="text" name="q" class="form-control" placeholder="Enter ticket id, subject, product...">
            <div class="input-group-append">
              <button class="btn btn-primary" type="submit"><i class="fa fa-search"></i> {{__('Search')}}</button>
            </div>
        </div>
        </form>
      @if($all_tickets->count() > 0)
      <div class="card fowtickets__all__tickets">
         @foreach($all_tickets as $all_ticket)
         <div class="ticket ppdo" onclick="window.location.href='{{url('ticket')}}/{{$all_ticket->id}}'">
            <div class="row">
               <div class="col-lg-1">
                  <div class="response @if($all_ticket->replies_count == 0) bg-red @else bg-green @endif">
                     <h1>{{$all_ticket->replies_count}}</h1>
                  </div>
               </div>
               <div class="col-lg-7">
                  <h3>{{$all_ticket->subject}}</h3>
                  <span class="info"><i class="fa fa-info-circle"></i> {{ __('Ticket ID: ')}} {{$all_ticket->id}} </span>
                  <span class="info"><i class="fa fa-clock-o"></i> {{ \Carbon\Carbon::parse($all_ticket->created_at)->diffForHumans() }}</span>
                  <span class="info"><i class="fa fa-archive"></i> {{ __('Product : ')}} {{$all_ticket->product}} </span>
               </div>
               <div class="col-lg-4 text-center">
                  @if($all_ticket->status == 1)
                  <span class="float-right badge badge-pill badge-primary">{{ __('Opened')}}</span>
                  @elseif($all_ticket->status == 2)
                  <span class="float-right badge badge-pill badge-success">{{ __('Answered')}}</span>
                  @elseif($all_ticket->status == 3)
                  <span class="float-right badge badge-pill badge-danger">{{ __('Closed')}}</span>
                  @endif
               </div>
            </div>
         </div>
         @endforeach
      </div>
      @else 
      <div class="note note-info text-center">
          {{__('No data fount "'.$all_tickets->count().'"')}}
      </div>
      @endif
   </div>
</div>
@stop

resources/views/pages/terms.blade.php
@extends('layouts.auth')
@section('title', 'Terms of use')
@section('content')
<div class="card">
    <div class="card-body">
        <h4 class="card-title m-0">{{__('Terms of use')}}
        <span class="float-right"><a href="{{url('/')}}" class="btn btn-outline-primary btn-sm">
            <i class="fa fa-home"></i> {{__('Back to home')}}</a></span></h4>
        <hr/>
       {!! $terms->terms !!}
    </div>
</div>
@endsection

resources/views/pages/tickets.blade.php
@extends('layouts.default')
@section('title', 'Tickets')
@section('content')
<div class="page__title">
	<h1>{{ __('All Tickets') }}</h1>
</div>
<div class="fowtickets__main__content mb-5">
  <div class="container">
    <form action="{{ route('search.tickets') }}" method="GET">
      <div class="input-group mb-3">
        <input type="text" name="q" class="form-control" placeholder="Enter ticket id, subject, product...">
          <div class="input-group-append">
            <button class="btn btn-primary" type="submit"><i class="fa fa-search"></i> {{__('Search')}}</button>
          </div>
      </div>
    </form>
    <div class="fowtickets__all__tickets">
      <ul class="nav nav-tabs" id="Tabs" role="tablist">
        <li class="nav-item">
          <a class="nav-link active" id="all-tab" data-toggle="tab" href="#all" role="tab" aria-controls="all" aria-selected="true">{{ __('All Tickets') }} <span class="count bg-dark">{{$all_tickets_count->count()}}</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="opened-tab" data-toggle="tab" href="#opened" role="tab" aria-controls="opened" aria-selected="true">{{ __('Opened Tickets') }} <span class="count bg-primary">{{$open_tickets_count->count()}}</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="answered-tab" data-toggle="tab" href="#answered" role="tab" aria-controls="answered" aria-selected="false">{{ __('Answered Tickets') }} <span class="count bg-success">{{$answered_tickets_count->count()}}</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="closed-tab" data-toggle="tab" href="#closed" role="tab" aria-controls="closed" aria-selected="false">{{ __('Closed Tickets') }} <span class="count bg-danger">{{$closed_tickets_count->count()}}</span></a>
        </li>
      </ul>
      <div class="tab-content" id="TabsContent">
        <div class="tab-pane fade show active" id="all" role="tabpanel" aria-labelledby="all-tab">
          @if($all_tickets->count())
          @foreach($all_tickets as $all_ticket)
        <div class="ticket ppdo" onclick="window.location.href='{{url('ticket')}}/{{$all_ticket->id}}'">
            <div class="row">
              <div class="col-lg-1">
                <div class="response @if($all_ticket->replies_count == 0) bg-red @else bg-green @endif">
                  <h1>{{$all_ticket->replies_count}}</h1>
                </div>
              </div>
              <div class="col-lg-7">
                <h3>{{$all_ticket->subject}}</h3>
                <span class="info"><i class="fa fa-info-circle"></i> {{ __('Ticket ID: ')}} {{$all_ticket->id}} </span>
                <span class="info"><i class="fa fa-clock-o"></i> {{ \Carbon\Carbon::parse($all_ticket->created_at)->diffForHumans() }}</span>
                <span class="info"><i class="fa fa-archive"></i> {{ __('Product : ')}} {{$all_ticket->product}} </span>
              </div>
              <div class="col-lg-4 text-center">
                @if($all_ticket->status == 1)
                <span class="float-right badge badge-pill badge-primary">{{ __('Opened')}}</span>
                @elseif($all_ticket->status == 2)
                <span class="float-right badge badge-pill badge-success">{{ __('Answered')}}</span>
                @elseif($all_ticket->status == 3)
                <span class="float-right badge badge-pill badge-danger">{{ __('Closed')}}</span>
                @endif
              </div>
            </div>
          </div>
          @endforeach
          <div class="pages">
            {{$all_tickets->fragment('all')->render()}}
          </div>
          @else
          <div class="text-center pt-3 pb-3">
            <span class="text-muted">{{ __('No data found')}}</span>
          </div>
          @endif
        </div>
        <div class="tab-pane fade" id="opened" role="tabpanel" aria-labelledby="opened-tab">
          @if($open_tickets->count())
          @foreach($open_tickets as $open_ticket)
          <div class="ticket ppdo" onclick="window.location.href='{{url('ticket')}}/{{$open_ticket->id}}'">
            <div class="row">
              <div class="col-lg-1">
                <div class="response @if($open_ticket->replies_count == 0) bg-red @else bg-green @endif">
                  <h1>{{$open_ticket->replies_count}}</h1>
                </div>
              </div>
              <div class="col-lg-7">
                <h3>{{$open_ticket->subject}}</h3>
                <span class="info"><i class="fa fa-info-circle"></i> {{ __('Ticket ID: ')}} {{$open_ticket->id}} </span>
                <span class="info"><i class="fa fa-clock-o"></i> {{ \Carbon\Carbon::parse($open_ticket->created_at)->diffForHumans() }}</span>
                <span class="info"><i class="fa fa-archive"></i> {{ __('Product : ')}} {{$open_ticket->product}}</span>
              </div>
              <div class="col-lg-4">
                @if($open_ticket->status == 1)
                <span class="float-right badge badge-pill badge-primary">{{ __('Opened')}}</span>
                @elseif($open_ticket->status == 2)
                <span class="float-right badge badge-pill badge-success">{{ __('Answered')}}</span>
                @elseif($open_ticket->status == 3)
                <span class="float-right badge badge-pill badge-danger">{{ __('Closed')}}</span>
                @endif
              </div>
            </div>
          </div>
          @endforeach
          <div class="pages">
            {{$open_tickets->fragment('opened')->render()}}
          </div>
          @else
          <div class="text-center pt-3 pb-3">
            <span class="text-muted">{{ __('No data found')}}</span>
          </div>
          @endif
        </div>
        <div class="tab-pane fade" id="answered" role="tabpanel" aria-labelledby="answered-tab">
          @if($answered_tickets->count())
          @foreach($answered_tickets as $answered_ticket)
          <div class="ticket ppdo" onclick="window.location.href='{{url('ticket')}}/{{$answered_ticket->id}}'">
            <div class="row">
               <div class="col-lg-1">
                 <div class="response @if($answered_ticket->replies_count == 0) bg-red @else bg-green @endif">
                  <h1>{{$answered_ticket->replies_count}}</h1>
                </div>
              </div>
              <div class="col-lg-7">
                <h3>{{$answered_ticket->subject}}</h3>
                <span class="info"><i class="fa fa-info-circle"></i> {{ __('Ticket ID: ')}} {{$answered_ticket->id}} </span>
                <span class="info"><i class="fa fa-clock-o"></i> {{ \Carbon\Carbon::parse($answered_ticket->created_at)->diffForHumans() }} </span>
                <span class="info"><i class="fa fa-archive"></i> {{ __('Product : ')}} {{$answered_ticket->product}} </span>
              </div>
              <div class="col-lg-4">
                @if($answered_ticket->status == 1)
                <span class="float-right badge badge-pill badge-primary">{{ __('Opened')}}</span>
                @elseif($answered_ticket->status == 2)
                <span class="float-right badge badge-pill badge-success">{{ __('Answered')}}</span>
                @elseif($answered_ticket->status == 3)
                <span class="float-right badge badge-pill badge-danger">{{ __('Closed')}}</span>
                @endif
              </div>
            </div>
          </div>
          @endforeach
          <div class="pages">
            {{$answered_tickets->fragment('answered')->render()}}
          </div>
          @else
          <div class="text-center pt-3 pb-3">
            <span class="text-muted">{{ __('No data found')}}</span>
          </div>
          @endif
        </div>
        <div class="tab-pane fade" id="closed" role="tabpanel" aria-labelledby="closed-tab">
          @if($closed_tickets->count())
          @foreach($closed_tickets as $closed_ticket)
          <div class="ticket ppdo" onclick="window.location.href='{{url('ticket')}}/{{$closed_ticket->id}}'">
            <div class="row">
              <div class="col-lg-1">
                 <div class="response @if($closed_ticket->replies_count == 0) bg-red @else bg-green @endif">
                  <h1>{{$closed_ticket->replies_count}}</h1>
                </div>
              </div>
              <div class="col-lg-7">
                <h3>{{$closed_ticket->subject}}</h3>
                <span class="info"><i class="fa fa-info-circle"></i> {{ __('Ticket ID: ')}} {{$closed_ticket->id}} </span>
                <span class="info"><i class="fa fa-clock-o"></i> {{ \Carbon\Carbon::parse($closed_ticket->created_at)->diffForHumans() }} </span>
                <span class="info"><i class="fa fa-archive"></i> {{ __('Product : ')}} {{$closed_ticket->product}} </span>
              </div>
              <div class="col-lg-4">
                @if($closed_ticket->status == 1)
                <span class="float-right badge badge-pill badge-primary">{{ __('Opened')}}</span>
                @elseif($closed_ticket->status == 2)
                <span class="float-right badge badge-pill badge-success">{{ __('Answered')}}</span>
                @elseif($closed_ticket->status == 3)
                <span class="float-right badge badge-pill badge-danger">{{ __('Closed')}}</span>
                @endif
              </div>
            </div>
          </div>
          @endforeach
          <div class="pages">
            {{$closed_tickets->fragment('closed')->render()}}
          </div>
          @else
          <div class="text-center pt-3 pb-3">
            <span class="text-muted">{{ __('No data found')}}</span>
          </div>
          @endif
        </div>
      </div>
    </div>
  </div>
</div>
@stop